Bug 205878 - Review Request: arj - Archiver for .arj files
Review Request: arj - Archiver for .arj files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-09 07:47 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 01:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-09-09 07:47:41 EDT
Spec URL: http://people.atrpms.net/~hdegoede/arj.spec
SRPM URL: http://people.atrpms.net/~hdegoede/arj-3.10.22-1.src.rpm
Description:
This package is an open source version of the arj archiver.  This
version has been created with the intent to preserve maximum
compatibility and retain the feature set of original ARJ archiver as
provided by ARJ Software, Inc.
Comment 1 Jason Tibbitts 2006-09-09 12:09:32 EDT
This looks quick and simple.  The only thing I wonder is whether it might be
useful to package up some bits so that the desktops can handle these files.  It
looks like KDE is already set up to at least recognize these files.

* source files match upstream:
   48d2275b8a8e6e5adaead8916d008fd3  arj_3.10.22-2.diff.gz
   f263bf3cf6d42a8b7e85b4fb514336d3  arj-3.10.22.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   arjcrypt.so()(64bit)
   config(arj) = 3.10.22-1.fc6
   unarj = 3.10.22-1.fc6
   arj = 3.10.22-1.fc6
  =
   /bin/sh
   config(arj) = 3.10.22-1.fc6
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Hans de Goede 2006-09-10 01:29:04 EDT
Thanks!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.